Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class MLSXEntryParser

    java.lang.Object
      com.enterprisedt.net.ftp.FTPFileParser
          com.enterprisedt.net.ftp.MLSXEntryParser

    public class MLSXEntryParser

extends FTPFileParser

Parses the string returned from the MLSD or MLST command (defined in the "Extensions to FTP" IETF draft). Just grabs the basic fields, as most servers don't support anything else.

Version:
  $Revision: 1.1 $
Author:
  Bruce Blackshaw

Field Summary
`static java.lang.String` | `cvsId` Revision control id

Fields inherited from class com.enterprisedt.net.ftp.FTPFileParser
`ignoreDateParseErrors`

Constructor Summary
`MLSXEntryParser()`

Method Summary
`FTPFile` | `parse(java.lang.String raw)` Parse server supplied string that is returned from MLST/D
`void` | `setLocale(java.util.Locale locale)` Set the locale for date parsing of listings.

Methods inherited from class com.enterprisedt.net.ftp.FTPFileParser
`isMultiLine, isValidFormat, setIgnoreDateParseErrors, split, split, split, trimStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cvsId

    public static final java.lang.String cvsId

  Revision control id

  See Also:
    Constant Field Values

Constructor Detail

### MLSXEntryParser

    public MLSXEntryParser()

Method Detail

### parse

    public FTPFile parse(java.lang.String raw)
                  throws java.text.ParseException

  Parse server supplied string that is returned from MLST/D

  Specified by:
    `parse` in class `FTPFileParser`
  Parameters:
    `raw` - raw string to parse
  Throws:
    `java.text.ParseException`

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale for date parsing of listings. As the timestamps follow a standard without names of months, this is not used in this parser.

  Specified by:
    `setLocale` in class `FTPFileParser`
  Parameters:
    `locale` - locale to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.